Main Page Namespace List Class Hierarchy Alphabetical List Compound List Namespace Members Compound Members Related Pages

# Composition::LayerC Class Reference

Composition Layer class. More...

`#include <LayerC.h>`

Inheritance diagram for Composition::LayerC:

List of all members.

## Public Methods

- virtual Edit::DataBlockI* create ()
- virtual Edit::DataBlockI* create ( Edit::EditableI* pOriginal )
- virtual void copy ( Edit::DataBlockI* pBlock )
- virtual void restore ( Edit::EditableI* pBlock )
- void set_name ( const char* szName )
- const char* get_name () const
- PajaTypes::int32 get_effect_count ()
- EffectI* get_effect ( PajaTypes::int32 i32Index )
- PajaTypes::int32 add_effect ( EffectI* pEffect )
- void del_effect ( PajaTypes::int32 i32Index )
- EffectI* remove_effect ( PajaTypes::int32 i32Index )
- void insert_effect ( PajaTypes::int32 i32IndexBefore, EffectI* pEffect )
- void set_flags ( PajaTypes::int32 i32Flags )
- void add_flags ( PajaTypes::int32 i32Flags )
- void del_flags ( PajaTypes::int32 i32Flags )
- void toggle_flags ( PajaTypes::int32 i32Flags )
- PajaTypes::int32 get_flags ()
- TimeSegmentC* get_timesegment ()
- PajaTypes::uint32 save ( FileIO::SaveC* pSave )
- PajaTypes::uint32 load ( FileIO::LoadC* pLoad )

## Static Public Methods

- LayerC* create_new ()

## Protected Methods

- LayerC ()
- LayerC ( Edit::EditableI* pOriginal )
- virtual ~LayerC ()

## Detailed Description

Composition Layer class.

Layer class is used to group effects and to control their visibility. The layer class used by the Demopaja system and is only exposed to the export plugins. The changes to the layer are stored to a undo object if present.

This class is implemented by the system.

## Constructor & Destructor Documentation

LayerC ( | )`[protected]`

| Default constructor.

LayerC ( | Edit::EditableI * pOriginal )`[protected]`

| Constructor with reference to the original.

~LayerC ( | )`[protected, virtual]`

| Default destructor.

## Member Function Documentation

PajaTypes::int32 add_effect ( | EffectI * pEffect )

| Adds new effect to the layer.

void add_flags ( | PajaTypes::int32 i32Flags )

| Sets only specified flags.

void copy ( | Edit::DataBlockI * pBlock )`[virtual]`

| Deep copy from a data block, see Edit::DataBlockI::copy(). Reimplemented from Edit::EditableI.

Edit::DataBlockI * create ( | Edit::EditableI * pOriginal )`[virtual]`

| Creates new layer (used internally), see Edit::EditableI::create(). Reimplemented from Edit::EditableI.

Edit::DataBlockI * create ( | )`[virtual]`

| Creates new layer (used internally), see Edit::EditableI::create(). Reimplemented from Edit::EditableI.

LayerC * create_new ( | )`[static]`

| Creates new layer.

void del_effect ( | PajaTypes::int32 i32Index )

| Removes and deletes a effect at specified index from the layer.

void del_flags ( | PajaTypes::int32 i32Flags )

| Removes only specified flags.

EffectI * get_effect ( | PajaTypes::int32 i32Index )

| Returns effect at specified index.

PajaTypes::int32 get_effect_count ( | )

| Return number of effects inside the layer.

PajaTypes::int32 get_flags ( | )

| Returns key flags.

const char * get_name ( | ) const

| Return the name of the layer.

TimeSegmentC * get_timesegment ( | )

| Returns the timesegment of the layer.

void insert_effect ( | PajaTypes::int32 i32IndexBefore,
| EffectI * pEffect )

| Adds a effect to list, the change is not stored to the present undo object.

PajaTypes::uint32 load ( | FileIO::LoadC * pLoad )`[virtual]`

| Serialize the layer from a Demopaja input stream. Reimplemented from Edit::EditableI.

EffectI * remove_effect ( | PajaTypes::int32 i32Index )

| Removes a effect at specified index from list. This method removes the effect from the list inside the layer, and retuns the effect. The effect is not deleted. See also: del_effect

void restore ( | Edit::EditableI * pBlock )`[virtual]`

| Shallow copy from a editable, see Edit::EditableI::restore(). Reimplemented from Edit::EditableI.

PajaTypes::uint32 save ( | FileIO::SaveC * pSave )`[virtual]`

| Serialize the layer to a Demopaja output stream. Reimplemented from Edit::EditableI.

void set_flags ( | PajaTypes::int32 i32Flags )

| Sets the effect flags. Be careful to use this method. There are some flags, which have to be in place to make the layer work correctly. Use add, del or toggle flags methods instead.

void set_name ( | const char * szName )

| Sets the name of the layer\. The name is NULL terminated string.

void toggle_flags ( | PajaTypes::int32 i32Flags )

| Toggles only specified flags.

The documentation for this class was generated from the following file:

- LayerC.h